Error when importing graphlab

User 665 | 9/3/2014, 3:59:18 PM

No issues come up when I install graphlab, however an ImportError shows up when I import graphlab. Below is the detail, can someone help pls? Thanks a lot.

Python 2.7.6 (default, Apr 9 2014, 11:48:52) [GCC 4.2.1 Compatible Apple LLVM 5.1 (clang-503.0.38)] on darwin Type "help", "copyright", "credits" or "license" for more information.

import graphlab as gl Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/site-packages/graphlab/init.py", line 7, in <module> import graphlab.connect.aws as aws File "/usr/local/lib/python2.7/site-packages/graphlab/connect/aws/init.py", line 9, in <module> from ec2 import getcredentials, launchEC2, listinstances, setcredentials, status, terminateEC2 File "/usr/local/lib/python2.7/site-packages/graphlab/connect/aws/ec2.py", line 17, in <module> import graphlab.connect.server as glserver File "/usr/local/lib/python2.7/site-packages/graphlab/connect/server.py", line 6, in <module> from graphlab.cython.cyipc import PyCommClient as Client ImportError: dlopen(/usr/local/lib/python2.7/site-packages/graphlab/cython/cyipc.so, 2): Library not loaded: @rpath/libbasedep.so Referenced from: /usr/local/lib/python2.7/site-packages/graphlab/cython/cy_ipc.so Reason: image not found

Comments

User 6 | 9/5/2014, 6:54:32 AM

Please take a look here: http://forum.graphlab.com/discussion/477/import-graphlab-importerror-library-not-loaded-rpath-libbase-dep-so and let us know if this solves your issue.


User 665 | 9/5/2014, 6:58:24 AM

Thank you Danny, but I install python on my mac using homebrew not conda